import Anchor from './components/anchor/Anchor'
import AnchorBox from './components/anchor/AnchorBox'
import ECharts from './components/echarts/ECharts'
import Highlight from './components/highlight/Highlight'
import Layout from './components/layout/Layout'
import SortButton from './components/sort-button/SortButton'
import SortButtonGroup from './components/sort-button/SortButtonGroup'
import Splitter from './components/splitter/Splitter'
import XList from './components/xlist/XList'
import XListItem from './components/xlist/XListItem'
import XMenu from './components/xmenu/XMenu'
import XMenuChildren from './components/xmenu/XMenuChildren'
import XMenuItem from './components/xmenu/XMenuItem'

import option from './components/option'

export default {
  Anchor,
  AnchorBox,
  ECharts,
  Highlight,
  Layout,
  SortButton,
  SortButtonGroup,
  Splitter,
  XList,
  XListItem,
  XMenu,
  XMenuChildren,
  XMenuItem,
  install(Vue, defaultOption) {
    if (defaultOption) {
      option.echarts = defaultOption.echarts
    }

    // 注册组件
    Vue.component(Anchor.name, Anchor)
    Vue.component(AnchorBox.name, AnchorBox)
    Vue.component(ECharts.name, ECharts)
    Vue.component(Highlight.name, Highlight)
    Vue.component(Layout.name, Layout)
    Vue.component(SortButton.name, SortButton)
    Vue.component(SortButtonGroup.name, SortButtonGroup)
    Vue.component(Splitter.name, Splitter)
    Vue.component(XList.name, XList)
    Vue.component(XListItem.name, XListItem)
    Vue.component(XMenu.name, XMenu)
    Vue.component(XMenuChildren.name, XMenuChildren)
    Vue.component(XMenuItem.name, XMenuItem)
  }
}

export {
  Anchor,
  AnchorBox,
  ECharts,
  Highlight,
  Layout,
  SortButton,
  SortButtonGroup,
  Splitter,
  XList,
  XListItem,
  XMenu,
  XMenuChildren,
  XMenuItem
}
