// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import ElementUI from 'element-ui'
// 这个样式需要在 VueKit 前引入
import 'element-ui/lib/theme-chalk/index.css'

import hljs from 'highlight.js/lib/highlight'
import javascript from 'highlight.js/lib/languages/javascript'
import xml from 'highlight.js/lib/languages/xml'
import css from 'highlight.js/lib/languages/css'
import less from 'highlight.js/lib/languages/less'
import bash from 'highlight.js/lib/languages/bash'
import 'highlight.js/styles/solarized-light.css'

import SlideOut from '@hyjiacan/vue-slideout'
import '@hyjiacan/vue-slideout/lib/slideout.css'

import echarts from 'echarts'
// import 'echarts/lib/chart/line'
// import 'echarts/lib/chart/bar'
// import 'echarts/lib/chart/pie'
// import 'echarts/lib/chart/tree'

import App from './App'
import VueKit from './index'
import CodeBlock from './views/CodeBlock'

import axios from 'axios'
import {Base64} from 'js-base64'

hljs.registerLanguage('javascript', javascript)
hljs.registerLanguage('xml', xml)
hljs.registerLanguage('css', css)
hljs.registerLanguage('less', less)
hljs.registerLanguage('bash', bash)

Vue.config.productionTip = false

Vue.prototype.hljs = hljs
Vue.prototype.axios = axios
Vue.prototype.base64 = Base64

Vue.use(ElementUI)
Vue.use(VueKit, {
  echarts
})
Vue.use(SlideOut)

Vue.component(CodeBlock.name, CodeBlock)

new Vue({
  render: h => h(App)
}).$mount('#app')
